Page MenuHomePhabricator

Remove applications of and deprecate HTMLForm::setSubmitProgressive
Closed, ResolvedPublic

Description

Currently, https://gerrit.wikimedia.org/g/mediawiki/core/+/master/includes/htmlform/HTMLForm.php features

public function setSubmitProgressive() {
	$this->mSubmitFlags = [ 'progressive', 'primary' ];
	return $this;
}

while in same file

protected $mSubmitFlags = [ 'primary', 'progressive' ];

Means [ 'primary', 'progressive' ] is the default array for $mSubmitFlags. So setSubmitProgressive() is useless because setSubmitProgressive() return same array which $mSubmitFlags already has.

Actions

  • Remove usage of setSubmitProgressive() from core and extensions.
  • Deprecate setSubmitProgressive()

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptApr 6 2018, 12:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 424504 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@master] Remove the Usage of HTMLForm::setSubmitProgressive

https://gerrit.wikimedia.org/r/424504

Change 424505 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/extensions/Newsletter@master] Remove the Usage of HTMLForm::setSubmitProgressive

https://gerrit.wikimedia.org/r/424505

Change 424506 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@master] Make setSubmitProgressive() Deprecate

https://gerrit.wikimedia.org/r/424506

Volker_E updated the task description. (Show Details)Apr 20 2018, 7:56 PM
Jayprakash12345 triaged this task as Low priority.Apr 20 2018, 11:23 PM

Now we missed REL1_31, So setting as Low Priority.

Volker_E renamed this task from Make HTMLForm::setSubmitProgressive Deprecate to Remove applications of and deprecate HTMLForm::setSubmitProgressive.Apr 21 2018, 1:23 AM
Volker_E updated the task description. (Show Details)Apr 21 2018, 1:25 AM

Change 424504 merged by jenkins-bot:
[mediawiki/core@master] HTMLForm: Remove usage of HTMLForm::setSubmitProgressive

https://gerrit.wikimedia.org/r/424504

Change 424505 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Remove usage of HTMLForm::setSubmitProgressive

https://gerrit.wikimedia.org/r/424505

Change 424506 merged by jenkins-bot:
[mediawiki/core@master] Make setSubmitProgressive() Deprecate

https://gerrit.wikimedia.org/r/424506

Jayprakash12345 closed this task as Resolved.Apr 25 2018, 9:47 PM
Jayprakash12345 updated the task description. (Show Details)
Jayprakash12345 edited projects, added User-Jayprakash12345; removed Patch-For-Review.
Jayprakash12345 removed a subscriber: gerritbot.